#!/bin/sh

# Prevent snooping
umask 007

getxid()
{
   if [ ${x} -gt 0 ]
   then
      sed ${x}!d /tmp/winlist.jnk|cut -d '^' -f2
   else
      exit
   fi
}

getname()
{
   if [ ${x} -gt 0 ]
   then
      sed ${x}!d /tmp/winlist.jnk|cut -d '^' -f1
   else
      exit
   fi
}

#Get our window list
wlist()
{
   x=$(lsc|wc -l)
   while [ $x != 0 ]
   do
      printf "$(wname $(lsc|sed $x!d))^" >> /tmp/winlist.jnk
      lsc|sed $x!d >> /tmp/winlist.jnk
      x=$(expr - $x 1)
   done
}
wlist

#How many windows are we managing?
x=$(wc -l /tmp/winlist.jnk|cut -d ' ' -f1)

#Print the list of windows in a xprompt-compatible manner
while [ $x -gt 0 ]
   do
      printf "%s\t%s\n" "$(getxid)" "$(getname)"
      x=$(expr - $x 1)
   done

#Clean up
rm /tmp/winlist.jnk
